Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.kdf
Class ECDHKEKGenerator

    java.lang.Object
      org.bouncycastle.crypto.agreement.kdf.ECDHKEKGenerator

All Implemented Interfaces:
  DerivationFunction, DigestDerivationFunction

public class ECDHKEKGenerator
extends java.lang.Object
implements DigestDerivationFunction

X9.63 based key derivation function for ECDH CMS.

Constructor Summary
`ECDHKEKGenerator(Digest digest)`

Method Summary
`int` | `generateBytes(byte[] out, int outOff, int len)`
`Digest` | `getDigest()` return the message digest used as the basis for the function
`void` | `init(DerivationParameters param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECDHKEKGenerator

    public ECDHKEKGenerator(Digest digest)

Method Detail

### init

    public void init(DerivationParameters param)

  Specified by:
    `init` in interface `DerivationFunction`

### getDigest

    public Digest getDigest()

  Description copied from interface: `DigestDerivationFunction`
  return the message digest used as the basis for the function

  Specified by:
    `getDigest` in interface `DigestDerivationFunction`

### generateBytes

    public int generateBytes(byte[] out,
                             int outOff,
                             int len)
                      throws DataLengthException,
                             java.lang.IllegalArgumentException

  Specified by:
    `generateBytes` in interface `DerivationFunction`
  Throws:
    `DataLengthException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD